- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Slots | Friends

# QWindowsXPStyle Class Reference

Search for all occurrences

## Detailed Description

Definition at line 56 of file qwindowsxpstyle.h.

`#include <qwindowsxpstyle.h>`

Inheritance diagram for QWindowsXPStyle:
[legend]

List of all members.

## Public Member Functions
| QWindowsXPStyle ()
| QWindowsXPStyle (QWindowsXPStylePrivate &dd)
| ~QWindowsXPStyle ()
void | unpolish (QApplication *)
void | polish (QApplication *)
void | polish (QWidget *)
void | polish (QPalette &)
void | unpolish (QWidget *)
void | drawPrimitive (PrimitiveElement pe, const QStyleOption *option, QPainter *p, const QWidget *widget=0) const
void | drawControl (ControlElement element, const QStyleOption *option, QPainter *p, const QWidget *wwidget=0) const
QRect | subElementRect (SubElement r, const QStyleOption *option, const QWidget *widget=0) const
QRect | subControlRect (ComplexControl cc, const QStyleOptionComplex *option, SubControl sc, const QWidget *widget=0) const
void | drawComplexControl (ComplexControl cc, const QStyleOptionComplex *option, QPainter *p, const QWidget *widget=0) const
QSize | sizeFromContents (ContentsType ct, const QStyleOption *option, const QSize &contentsSize, const QWidget *widget=0) const
int | pixelMetric (PixelMetric pm, const QStyleOption *option=0, const QWidget *widget=0) const
int | styleHint (StyleHint hint, const QStyleOption *option=0, const QWidget *widget=0, QStyleHintReturn *returnData=0) const
QPalette | standardPalette () const
QPixmap | standardPixmap (StandardPixmap standardIcon, const QStyleOption *option, const QWidget *widget=0) const
## Protected Slots
QIcon | standardIconImplementation (StandardPixmap standardIcon, const QStyleOption *option, const QWidget *widget=0) const
## Friends
class | QStyleFactory

## Constructor & Destructor Documentation

QWindowsXPStyle | ( |  | ) |

QWindowsXPStyle | ( | QWindowsXPStylePrivate & | dd | ) |

~QWindowsXPStyle | ( |  | ) |

## Member Function Documentation

void unpolish | ( | QApplication * |  | ) | `[virtual]`

Search for all occurrences

Reimplemented from QWindowsStyle.

Reimplemented in QWindowsVistaStyle.

void polish | ( | QApplication * |  | ) | `[virtual]`

Search for all occurrences

Reimplemented from QWindowsStyle.

Reimplemented in QWindowsVistaStyle.

void polish | ( | QWidget * |  | ) | `[virtual]`

Search for all occurrences

Reimplemented from QWindowsStyle.

Reimplemented in QWindowsVistaStyle.

void polish | ( | QPalette & |  | ) | `[virtual]`

Search for all occurrences

Reimplemented from QWindowsStyle.

Reimplemented in QWindowsVistaStyle.

void unpolish | ( | QWidget * |  | ) | `[virtual]`

Search for all occurrences

Reimplemented from QWindowsStyle.

Reimplemented in QWindowsVistaStyle.

void drawPrimitive | ( | PrimitiveElement | pe,
|  | const QStyleOption * | option,
|  | QPainter * | p,
|  | const QWidget * | widget = `0`
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QWindowsStyle.

Reimplemented in QWindowsVistaStyle.

void drawControl | ( | ControlElement | element,
|  | const QStyleOption * | option,
|  | QPainter * | p,
|  | const QWidget * | wwidget = `0`
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QWindowsStyle.

Reimplemented in QWindowsVistaStyle.

QRect subElementRect | ( | SubElement | r,
|  | const QStyleOption * | option,
|  | const QWidget * | widget = `0`
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QWindowsStyle.

Reimplemented in QWindowsVistaStyle.

QRect subControlRect | ( | ComplexControl | cc,
|  | const QStyleOptionComplex * | option,
|  | SubControl | sc,
|  | const QWidget * | widget = `0`
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QCommonStyle.

Reimplemented in QWindowsVistaStyle.

void drawComplexControl | ( | ComplexControl | cc,
|  | const QStyleOptionComplex * | option,
|  | QPainter * | p,
|  | const QWidget * | widget = `0`
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QWindowsStyle.

Reimplemented in QWindowsVistaStyle.

QSize sizeFromContents | ( | ContentsType | ct,
|  | const QStyleOption * | option,
|  | const QSize & | contentsSize,
|  | const QWidget * | widget = `0`
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QWindowsStyle.

Reimplemented in QWindowsVistaStyle.

int pixelMetric | ( | PixelMetric | pm,
|  | const QStyleOption * | option = `0`,
|  | const QWidget * | widget = `0`
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QWindowsStyle.

Reimplemented in QWindowsVistaStyle.

int styleHint | ( | StyleHint | hint,
|  | const QStyleOption * | option = `0`,
|  | const QWidget * | widget = `0`,
|  | QStyleHintReturn * | returnData = `0`
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QWindowsStyle.

Reimplemented in QWindowsVistaStyle.

QPalette standardPalette | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QStyle.

Reimplemented in QWindowsVistaStyle.

QPixmap standardPixmap | ( | StandardPixmap | standardIcon,
|  | const QStyleOption * | option,
|  | const QWidget * | widget = `0`
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QWindowsStyle.

Reimplemented in QWindowsVistaStyle.

QIcon standardIconImplementation | ( | StandardPixmap | standardIcon,
|  | const QStyleOption * | option,
|  | const QWidget * | widget = `0`
| ) |  | const `[protected, slot]`

Search for all occurrences

Reimplemented from QWindowsStyle.

Reimplemented in QWindowsVistaStyle.

## Friends And Related Function Documentation

friend class QStyleFactory `[friend]`

Search for all occurrences

Reimplemented in QWindowsVistaStyle.

Definition at line 97 of file qwindowsxpstyle.h.

The documentation for this class was generated from the following file:

- QtGui/qwindowsxpstyle.h

QWindowsXPStyle QWindowsXPStyle QWindowsXPStyle QWindowsXPStyle QWindowsXPStyle QWindowsXPStyle QWindowsXPStyle QWindowsXPStyle QWindowsXPStyle QWindowsXPStyle
QWindowsXPStyle QWindowsXPStyle QWindowsXPStyle QWindowsXPStyle QWindowsXPStyle QWindowsXPStyle QWindowsXPStyle QWindowsXPStyle QWindowsXPStyle QWindowsXPStyle